//Удаленный запуск Scilab
function [ExecuteCode,..//Код выполнения команды
          СommandMessages,..//Сообщения от выполненной команды
          errorRemoteExecute,..//Ошибка удаленного запуска
          errorRemoteExecuteNumber,..//Номер ошибки
          errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
          errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
          connectedInformation..//Информация о соединении
          ]=remoteExecScilab(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                             NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                             PathToScilab,..//Путь к Scilab
                             ScilabArguments,..//Аргументы Scilab
                             FoneModeExecute..//Запуск в фоновом режиме
                             )
    //Проверяем аргументы
    nArg = argn(2);//число аргументов
    if nArg < 3 then
        error('Function remoteExecScilab takes 3, 4 or 5 arguments');
    elseif nArg == 3 then
        ScilabArguments = [];//Аргументы Scilab (их отсутствие)
        FoneModeExecute = %f;//Запуск в фоновом режиме (по умолчанию не в фоновом)
    elseif nArg == 4 then
        FoneModeExecute = ScilabArguments;//Запуск в фоновом режиме
        ScilabArguments = [];//Аргументы Scilab (их отсутствие)
    end
    if type(PathToScilab) ~= 10 then
        error('The third arguments of function remoteExecScilab must be string')
    end
    
    //Формируем команду для запуска scilab
    FullScilabScriptName = PathToScilab + '/bin/scilab';
    
    //Заускаем Scilab-скрипт с аргументами
    [ExecuteCode,..//Код выполнения команды
     СommandMessages,..//Сообщения от выполненной команды
     errorRemoteExecute,..//Ошибка удаленного запуска
     errorRemoteExecuteNumber,..//Номер ошибки
     errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
     errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
     connectedInformation..//Информация о соединении
     ]=remoteExecCommand(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                         NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                         FullScilabScriptName,..//Имя выполняемой команды
                         ScilabArguments,..//Аргументы выполняемой команды (Аргументы Scilab)
                         FoneModeExecute..//Запуск в фоновом режиме
                         )
endfunction
