//Удаленный запуск Scilab
function [ExecuteCode,..//Код выполнения команды
          СommandMessages,..//Сообщения от выполненной команды
          errorRemoteExecute,..//Ошибка удаленного запуска
          errorRemoteExecuteNumber,..//Номер ошибки
          errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
          errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
          connectedInformation..//Информация о соединении
          ]=remoteExecScilabCommands(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                                     NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                                     PathToScilab,..//Путь к Scilab
                                     ScilabCommands,..//Команды Scilab
                                     ScilabArguments,..//Аргументы Scilab
                                     FoneModeExecute..//Запуск в фоновом режиме
                                     )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 4 then
        error('Function remoteExecScilabCommands takes 4, 5 or 6 arguments');
    elseif nArg == 4 then
        ScilabArguments = [];//Аргументы Scilab (их отсутствие)
        FoneModeExecute = %t;//Запуск в фоновом режиме (по умолчанию запускаем в фоновом режиме)
    elseif nArg == 5 then
        FoneModeExecute = ScilabArguments;//Запуск в фоновом режиме
        ScilabArguments = [];//Аргументы Scilab (их отсутствие)
    end
    if type(ScilabCommands) ~= 10 then
        error('The forth argument of function remoteExecScilabCommands must be string');
    end
    if (type(ScilabArguments) ~= 10) &&..
       ~isempty(ScilabArguments) then
        error('The fifth argument of function remoteExecScilabCommands must be string');
    end
    
    //Формируем аргументы Scilab
    scilabArguments = ['-quit', '-e', strcat(ScilabCommands, '; ')];//Запускае5м в пакетном режиме в консоли
    if ~isempty(ScilabArguments) then
        scilabArguments = [scilabArguments, '-args', ScilabArguments];//Учитываем аргументы
    end
    
    //Запускаем Scilab-код
    [ExecuteCode,..//Код выполнения команды
     СommandMessages,..//Сообщения от выполненной команды
     errorRemoteExecute,..//Ошибка удаленного запуска
     errorRemoteExecuteNumber,..//Номер ошибки
     errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
     errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
     connectedInformation..//Информация о соединении
     ]=remoteExecScilab(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                        NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                        PathToScilab,..//Путь к Scilab
                        scilabArguments,..//Аргументы Scilab
                        FoneModeExecute..//Запуск в фоновом режиме
                        )
endfunction
