//Удаленный запуск Scilab
function [ExecuteCode,..//Код выполнения команды
          СommandMessages,..//Сообщения от выполненной команды
          errorRemoteExecute,..//Ошибка удаленного запуска
          errorRemoteExecuteNumber,..//Номер ошибки
          errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
          errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
          connectedInformation..//Информация о соединении
          ]=remoteExecScilabSCEFile(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                                    NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                                    PathToScilab,..//Путь к Scilab
                                    PathToScilabSCECodeFileName,..//Путь к SCE-файлу команд Scilab
                                    ScilabSCECodeFileName,..//SCE-файл команд Scilab
                                    ScilabSCECodeArguments,..//Аргументы SCE-файла команд Scilab
                                    FoneModeExecute..//Запуск в фоновом режиме
                                    )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 5 then
        error('Function remoteExecScilabCommands takes 5, 6 or 7 arguments');
    elseif nArg == 5 then
        ScilabSCECodeArguments = [];//Аргументы SCE-файла команд Scilab отсутствуют
        FoneModeExecute = %t;//Запуск в фоновом режиме (по умолчанию - фоновый режим)
    elseif nArg == 6 then
        FoneModeExecute = ScilabSCECodeArguments;//Запускать или нет в фоновом режиме
        ScilabSCECodeArguments = [];//Пустые аргументы кода Scilab
    end
    if type(PathToScilabSCECodeFileName) ~= 10 then
        error('The forth argument of function remoteExecScilabCommands must be string');
    end
    if type(ScilabSCECodeFileName) ~= 10 then
        error('The fifth argument of function remoteExecScilabCommands must be string');
    end
    if (type(ScilabSCECodeArguments) ~= 10) && ..
       ~isempty(ScilabSCECodeArguments) then
        error('The sixth argument of function remoteExecScilabCommands must be string');
    end
    
    //Формируем аргументы Scilab
    ScilabArguments = ['-quit', '-f', PathToScilabSCECodeFileName + '/' + ScilabSCECodeFileName];//Запускае5м в пакетном режиме в консоли
    if ~isempty(ScilabSCECodeArguments) then
        ScilabArguments = [ScilabArguments, '-args', ScilabSCECodeArguments];//Учитываем аргументы
    end
    
    //Запускаем Scilab-код
    [ExecuteCode,..//Код выполнения команды
     СommandMessages,..//Сообщения от выполненной команды
     errorRemoteExecute,..//Ошибка удаленного запуска
     errorRemoteExecuteNumber,..//Номер ошибки
     errorRemoteExecuteLine,..//Строка, в которой возникла ошибка
     errorRemoteExecuteFunction,..//Функция, в которой возникла ошибка
     connectedInformation..//Информация о соединении
     ]=remoteExecScilab(NodeIPExecute,..//IP узла, на котором необходимо выполнить команду
                        NodePortExecute,..//Порт узла, на котором необходимо выполнить команду
                        PathToScilab,..//Путь к Scilab
                        ScilabArguments,..//Аргументы Scilab
                        FoneModeExecute..//Запуск в фоновом режиме
                        )
endfunction
